Package org.kapott.hbci.smartcardio

## Enum RSAKeyData.Type

- java.lang.Object
- - java.lang.Enum<RSAKeyData.Type>
  - - org.kapott.hbci.smartcardio.RSAKeyData.Type

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<RSAKeyData.Type>`

Enclosing class:
  RSAKeyData

    public static enum RSAKeyData.Type
    extends java.lang.Enum<RSAKeyData.Type>

### Enum Constant Summary

Enum Constants
`DECIPHER`
`ENCIPHER`
`SIGN`
`VERIFY`

### Method Summary

All Methods Static Methods Concrete Methods
`static RSAKeyData.Type` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RSAKeyData.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ENCIPHER

    public static final RSAKeyData.Type ENCIPHER

#### SIGN

    public static final RSAKeyData.Type SIGN

#### DECIPHER

    public static final RSAKeyData.Type DECIPHER

#### VERIFY

    public static final RSAKeyData.Type VERIFY

### Method Detail

#### values

    public static RSAKeyData.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RSAKeyData.Type c : RSAKeyData.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RSAKeyData.Type valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null